Subject: bug#11369: 2 test failures in Automake-1.12

From: Stefano Lattarini <[email-masked]>
Date: Sat, 28 Apr 2012 21:37:01 +0200

Hi Matt, thanks for the report.

On 04/28/2012 11:29 AM, Matt Burgess wrote:
> Hi,
> 
> Testing the latest release of Automake, I see test failures in
> dist-readonly and lex-clean.  I've attached the relevant sections of
> test-suite.log.
> 

Let's see to the lex failure first:

FAIL: t/lex-clean
=================

Running from installcheck: no
Using TAP: no
PATH = /sources/automake-1.12/t/ax:/sources/automake-1.12/t/wrap:/bin:/usr/bin:/sbin:/usr/sbin:/tools/bin:/usr/sbin
++ pwd
/sources/automake-1.12/t/lex-clean.dir
+ cat
+ cat
+ cat
+ cat
+ aclocal-1.12 -Werror
+ autoconf
+ automake-1.12 --foreign -Werror -Wall -a
configure.ac: installing './ylwrap'
+ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for flex... no
checking for lex... no
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: executing depfiles commands
+ cp config.status config.sav
+ make
gcc -DPACKAGE_NAME=\"lex-clean\" -DPACKAGE_TARNAME=\"lex-clean\" -DPACKAGE_VERSION=\"1.0\" -DPACKAGE_STRING=\"lex-clean\ 1.0\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"lex-clean\" -DVERSION=\"1.0\" -I.     -g -O2 -MT main.o -MD -MP -MF .deps/main.Tpo -c -o main.o main.c
mv -f .deps/main.Tpo .deps/main.Po
/bin/sh ./ylwrap lexer.l .c lexer.c -- :
make: *** [lexer.c] Error 1

Oops, you have no 'lex' program installed on your machine, still this
test was not skipped because it was mistakenly requiring 'yacc' instead
of 'lex'.  Fixed by the attached patch (for maint).

Regards,
  Stefano

>From 807f3cf63a223f1d7eb6b06c02ec0abb1d4486ae Mon Sep 17 00:00:00 2001
Message-Id: <807f3cf63[email-masked]>
From: Stefano Lattarini <[email-masked]>
Date: Sat, 28 Apr 2012 21:36:42 +0200
Subject: [PATCH] tests: require lex, not yacc, in a lex test case

See automake bug#11369.

* t/lex-clean.sh ($required): Require 'lex', not 'yacc'.

Signed-off-by: Stefano Lattarini <[email-masked]>
---
 t/lex-clean.sh |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/t/lex-clean.sh b/t/lex-clean.sh
index 9b23f01..4213195 100755
--- a/t/lex-clean.sh
+++ b/t/lex-clean.sh
@@ -19,7 +19,7 @@
 # distributed .l sources are cleaned by "make maintainer-clean".
 # See also sister test 'lex-clean-cxx.test'.
 
-required=yacc
+required=lex
 . ./defs || Exit 1
 
 cat >> configure.ac << 'END'
-- 
1.7.9.5